View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000844aMuleExternal Connpublic2006-03-18 00:072006-03-26 15:44
ReporterEvolutionCrazy 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityrandom
StatusassignedResolutionopen 
PlatformLinuOSRed Hat EntepriseOS Version3
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000844: Kademlia disconnect
DescriptionI'm running amuled & amuleweb (NO monolithic)
From time to time (from 2hours to 24hours) kad disconnect itself and doesn't won't reconnect...

if i try to force it: no way to get it reconnecting...

it stay disconnected till i stop the daemon and restart it and then everything restart working like a charm for the next 4 - 24hours

in additional information there's the log... as you can notice:
2006-03-17 21:26:56: Disconnected from Kad

now is 00:04... but nothing changed from kad...
however i'm still connected to ed2k and uploading:
Connection: Connected with high ID to DonkeyServer No1 [62.241.53.2:4242]
  Speed: Up: 250.14KBps | Down: 0 bytesps (Limits: 250.00KBps/1000.00KBps)

this is what i get on the console:
[admin@titan admin]$ amuled
amuled: OnInit - starting timer
Initialising aMule
Checking if there is an instance already running...
No other instances are running.
Loading temp files from /home/admin/.aMule/Temp.

All PartFiles Loaded.
ListenSocket: Ok.

*** TCP socket (ECServer) listening on 0.0.0.0:4712
*** Server UDP socket (TCP+3) at 0.0.0.0:4665
*** TCP socket (TCP) listening on 0.0.0.0:4662
*** Client UDP socket (extended eMule) at 0.0.0.0:4672
Error on CKademliaUDPListener::processPublishRequest received from: 101.79.59.83:4672
No ip match
WARNING! Client UDP-Socket discarded packet due to errors (2) while sending.
Additional Information2006-03-17 16:11:54: Connecting
2006-03-17 16:11:54: Servers: Trying to connect
2006-03-17 16:11:54: Connecting to DonkeyServer No6 (62.241.53.15 - 62.241.53.15:4242)
2006-03-17 16:11:54: AICH Thread: Syncronization thread started.
2006-03-17 16:11:54: Read 200 Kad contacts
2006-03-17 16:11:54: General: CamuleDaemonApp::OnRun()
2006-03-17 16:11:54: Credit file loaded, 2885 clients are known
2006-03-17 16:11:54: Loading ipfilter.dat files.
2006-03-17 16:11:54: Loaded 0 IP-ranges from 'ipfilter.dat'. 0 malformed lines were discarded.
2006-03-17 16:11:54: Loaded 0 IP-ranges from 'ipfilter_static.dat'. 0 malformed lines were discarded.
2006-03-17 16:11:54: Loading server.met file: /home/admin/.aMule/server.met
2006-03-17 16:11:54: 16 servers in server.met found
2006-03-17 16:11:54: No file parts found
2006-03-17 16:11:54: *** TCP socket (ECServer) listening on 0.0.0.0:4712
2006-03-17 16:11:54: MuleUDPSocket: Created Server UDP-Socket at port 4665
2006-03-17 16:11:54: MuleUDPSocket: Created Client UDP-Socket at port 4672
2006-03-17 16:11:54: Found 59 known shared files
2006-03-17 16:11:54: Connected to DonkeyServer No6 (62.241.53.15:4242)
2006-03-17 16:11:54: Kad started.
2006-03-17 16:11:55: AICH Thread: Masterhashes of known files have been loaded.
2006-03-17 16:11:55: AICH Thread: No new files found.
2006-03-17 16:11:55: AICH Thread: Terminated.
2006-03-17 16:11:55: Servers: Connected
2006-03-17 16:11:55: Connection established with: DonkeyServer No6
2006-03-17 16:11:55: Connected to DonkeyServer No6 with HighID
2006-03-17 16:11:55: New client ID is 88375256
2006-03-17 16:11:55: ServerMessage: server version 17.9 (lugdunum)
2006-03-17 16:11:55: ServerMessage: Ab jetzt gilt Vorsicht beim unbedachtem Downloaden im Emule!! Im Auftrag der Industrie loggen
2006-03-17 16:11:55: ServerMessage: Anti-P2P-Firmen seid kurzem euren Datenaustausch und Eure Suchanfragen im Emule!! Daf�r haben wir
2006-03-17 16:11:55: ServerMessage: handfeste Beweise! Um weiterhin anonym Downloaden zu k�nnen benutzt bitte First-Load - hier stehen die
2006-03-17 16:11:55: ServerMessage: Server in der Schweiz, eure Anmeldung wird verschl�sselt gespeichert und aus technischen Gr�nden kann
2006-03-17 16:11:55: ServerMessage: nicht geloggt werden. Wir arbeiten mit First-Laod zusammen und empfehlen euch einen 14 Tage Testaccount.
2006-03-17 16:11:55: ServerMessage: .
2006-03-17 16:11:55: ServerMessage: http://www.First-Load.de [^] Ich selbst habe es getestet und wills nicht mehr missen! http://www.First-Load.de [^]
2006-03-17 16:11:55: ServerMessage: . __ ___ ________ __________ ___ ________ __ _ _____ ____ _ ____ ___ ________ __
2006-03-17 16:11:55: ServerMessage: . / / / | / ____/ / / / _ __/ / / / | / / ____ / / / | | / / | / __ \ / | / / / / / | / / ____/ / /
2006-03-17 16:11:55: ServerMessage: . / / / / | |/ / / /_/ / / / / / / / | / / / __ / / | | / | / / / | | / / _/ / | / / / / / | / / / __ / /
2006-03-17 16:11:55: ServerMessage: ./ _ / / ___ / /___/ __ / / / / / _/ / /| / /_/ / /_ / | | / | / / ___ | / _ , _/ /| / /_/ / /| / /_/ / / _ /
2006-03-17 16:11:55: ServerMessage: ( _ ) / _ / |_ \____/_ / / _/ /_ / \____/ _/ |_ /\____ / ( _ ) |__ /|__/_ / | _ /_ / |_ /_ / |_ /\____/_ / |_ /\____/ ( _ )
2006-03-17 16:12:04: Kad stopped.
2006-03-17 16:12:04: Connected to Kad (firewalled)
2006-03-17 16:12:08: New external connection accepted
2006-03-17 16:12:08: Connecting client: aMuleweb 2.1.0
2006-03-17 16:12:08: Access granted.
2006-03-17 16:12:21: Connected to Kad (ok)
2006-03-17 16:15:28: New external connection accepted
2006-03-17 16:15:28: Connecting client: amule-remote 0x0001
2006-03-17 16:15:28: Access granted.
2006-03-17 16:15:35: Disconnected from ED2K
2006-03-17 16:15:35: Servers: Trying to connect
2006-03-17 16:15:35: Connecting to DonkeyServer No1 (62.241.53.2 - 62.241.53.2:4242)
2006-03-17 16:15:35: Connected to DonkeyServer No1 (62.241.53.2:4242)
2006-03-17 16:15:36: Servers: Connected
2006-03-17 16:15:36: Connection established with: DonkeyServer No1
2006-03-17 16:15:36: Connected to DonkeyServer No1 with HighID
2006-03-17 16:15:36: New client ID is 88375256
2006-03-17 16:15:36: ServerMessage: server version 17.9 (lugdunum)
2006-03-17 16:15:36: ServerMessage: Ab jetzt gilt Vorsicht beim unbedachtem Downloaden im Emule!! Im Auftrag der Industrie loggen
2006-03-17 16:15:36: ServerMessage: Anti-P2P-Firmen seid kurzem euren Datenaustausch und Eure Suchanfragen im Emule!! Daf�r haben wir
2006-03-17 16:15:36: ServerMessage: handfeste Beweise! Um weiterhin anonym Downloaden zu k�nnen benutzt bitte First-Load - hier stehen die
2006-03-17 16:15:36: ServerMessage: Server in der Schweiz, eure Anmeldung wird verschl�sselt gespeichert und aus technischen Gr�nden kann
2006-03-17 16:15:36: ServerMessage: nicht geloggt werden. Wir arbeiten mit First-Laod zusammen und empfehlen euch einen 14 Tage Testaccount.
2006-03-17 16:15:36: ServerMessage: .
2006-03-17 16:15:36: ServerMessage: http://www.First-Load.de [^] Ich selbst habe es getestet und wills nicht mehr missen! http://www.First-Load.de [^]
2006-03-17 16:15:36: ServerMessage: . __ ___ ________ __________ ___ ________ __ _ _____ ____ _ ____ ___ ________ __
2006-03-17 16:15:36: ServerMessage: . / / / | / ____/ / / / _ __/ / / / | / / ____ / / / | | / / | / __ \ / | / / / / / | / / ____/ / /
2006-03-17 16:15:36: ServerMessage: . / / / / | |/ / / /_/ / / / / / / / | / / / __ / / | | / | / / / | | / / _/ / | / / / / / | / / / __ / /
2006-03-17 16:15:36: ServerMessage: ./ _ / / ___ / /___/ __ / / / / / _/ / /| / /_/ / /_ / | | / | / / ___ | / _ , _/ /| / /_/ / /| / /_/ / / _ /
2006-03-17 16:15:36: ServerMessage: ( _ ) / _ / |_ \____/_ / / _/ /_ / \____/ _/ |_ /\____ / ( _ ) |__ /|__/_ / | _ /_ / |_ /_ / |_ /\____/_ / |_ /\____/ ( _ )
2006-03-17 16:15:50: External connection closed.
2006-03-17 17:58:05: New external connection accepted
2006-03-17 17:58:05: Connecting client: amule-remote 0x0001
2006-03-17 17:58:05: Access granted.
2006-03-17 17:58:19: External connection closed.
2006-03-17 21:26:56: Disconnected from Kad
2006-03-17 23:56:50: New external connection accepted
2006-03-17 23:56:50: Connecting client: amule-remote 0x0001
2006-03-17 23:56:50: Access granted.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001928)
EvolutionCrazy (reporter)
2006-03-24 19:02

after some "debug-logging" suggested by kry

i can say that when kad disconnect amule stop processing incoming UDP packets...

in fact: no more Muleudpsocket receive.... only queue/sent...

but if i monitor my eth port with ethereal i can track a lot of incoming UPD packets...

so the problem appear to be in amule that doesn't more process incoming UDP :(

- Issue History
Date Modified Username Field Change
2006-03-18 00:07 EvolutionCrazy New Issue
2006-03-24 19:02 EvolutionCrazy Note Added: 0001928
2006-03-26 15:44 Kry Status new => assigned
2006-03-26 15:44 Kry Assigned To => Kry


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker